name: psana_env
channels:
 - lcls-i
 - conda-forge
 - cctbx
 - defaults
dependencies:
 # conda compilers
 - c-compiler
 - cxx-compiler
 - scons

 # psana
 - psana

 # python
 - python
 - biopython
 - ipython

 # testing
 - pytest
 - pytest-xdist

 # documentation
 - docutils
 - numpydoc
 - sphinx

 # graphics
 - pillow
 - reportlab
 - wxpython
 - pyopengl

 # HDF5 (main libraries come with psana)
 - h5py
 - hdf5plugin  # [unix]

 # other
 - libsvm
 - mrcfile
 - psutil
 - mpi4py
 - pandas
 - pybind11
 - setuptools

 # cctbx channel
 - libsvm_py

 # dials
 - jinja2
 - msgpack-python
 - msgpack-c
 - orderedset
 - procrunner
 - python-blosc
 - scikit-learn
 - tqdm
 - eigen
 - dials-data
 - pint
 - nxmx

 # xia2
 - tabulate

 # Phenix
 - send2trash
 - PyRTF

 # xfel gui
 - mysql
 - mysqlclient

 # Avoid numpy 1.21.[01234]
 # See https://github.com/cctbx/cctbx_project/issues/627
 - numpy=1.20|>=1.21.5

 # boost
 - boost
 - boost-cpp
